#ifndef CANSTRUCTS_H
#define CANSTRUCTS_H

#include <QObject>

class CanModule: public QObject
{
};

struct CanId
{
	uint8_t destination = 0;
	uint8_t source = 0x1;
	uint16_t address = 0;
	uint8_t type = 0;

	uint32_t serialize() const;
	void deserialize(uint32_t id);
};

#endif // CANSTRUCTS_H
